Auto[] auto;
long t;
public void setup()
{
     auto = new Auto[3];
     //public Auto(double x,double y,double w,double h, double phi, int R, int G, int B)
     auto[0] = new Auto(0.0,0.0,0.4,0.2,0.0,0,0,255);
     auto[1] = new Auto(0.6,0.0,0.4,0.2,0.0,0,255,0);
     auto[2] = new Auto(1.1,0.5,0.4,0.2,0.0,0,255,255);
     
     auto[0].setSpeed(0.18, 0.203);
     auto[2].setSpeed(0.18, -0.18);
     t=System.currentTimeMillis();
     size(700,700);
     frameRate(20);
}

int[] PIX=null;
public void draw()
{
    float XOFFPX = width/2;
    float YOFFPX = height/2;
  
    background(255);
    stroke(255,0,0);
    noFill();
    ellipse(width/4+width/4,height/4,width/2,height/2);
    line(width/2+10,height/2,width/2+10,height/2-20);
    long tnew = System.currentTimeMillis();
    double dt = (double)(tnew-t)/1000.0;
 
    if(PIX==null)
    {
        updatePixels();
        loadPixels();
        if(pixels!=null)
        {
             PIX = new int[pixels.length];
             for(int i=0;i<pixels.length;i++)
                PIX[i]=pixels[i];
        }
        t=System.currentTimeMillis();
    }
    else
    {
      fill(0);
      text("dt="+dt+"s",30,height-30);
      t=tnew;
      for(int i=0;i<auto.length;i++)
      {
         auto[i].updatePosition(dt);
         auto[i].updateCornerpoints();
         auto[i].show(XOFFPX,YOFFPX);
         
         auto[i].updateScene(i,auto,PIX,XOFFPX,YOFFPX);
      }   
    }
    if(PIX!=null)
    {
        auto[0].updateVideo(XOFFPX,YOFFPX);
        auto[0].showVideo(0,height-4*auto[0].resh-50,4);
        auto[2].updateVideo(XOFFPX,YOFFPX);
        auto[2].showVideo(width/2,height-4*auto[2].resh-50,4);
    }
    
}
